Description

Associated revisions

Revision 3367d8d2 - 08/10/2020 09:28 AM - Adam Ruzicka

Fixes #30528 - Run rake console as dynflow client (#7871)

Fixes #30528 - Run rake console as dynflow client

Dynflow identifies separate runtime units (think processes) as worlds. Dynflow

distinguishes two kinds of worlds, executors worlds which can actually perform

things and client worlds, which can only ask the executor worlds to execute

something on their behalf.

Due to the recent move to sidekiq and puma, Dynflow gets initialized slightly

differently and all rake tasks now don't register themselves as Dynflow worlds.

This is mostly fine, since the world registration isn't exactly free operation

and most of the rake tasks don't interact with Dynflow in any way. However,

tasks which need to interact with Dynflow started failing. To fix this, we

introduced the dynflow:client rake task in 4e53859, on which other tasks can

depend and which registers the current process as a Dynflow client.

This patch allows running rails console as a Dynflow client so users can

interact with Dynflow from the console.

History

#1 - 07/30/2020 01:15 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/7871 added

#2 - 08/10/2020 09:28 AM - The Foreman Bot

- Fixed in Releases 2.2.0 added

#3 - 08/10/2020 10:01 AM - Adam Ruzicka

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|3367d8d28b0af20446dfcee80856863a669e736f.

#4 - 08/19/2020 04:37 PM - Justin Sherrill

- Target version set to 2.1.2

#5 - 08/20/2020 08:18 AM - Tomer Brisker

- Fixed in Releases 2.1.2 added
#6 - 08/20/2020 02:24 PM - Justin Sherrill

- Bugzilla link set to 1870657

#7 - 09/10/2020 05:09 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/7975 added

#8 - 09/10/2020 07:42 AM - Adam Ruzicka

- Pull request deleted (https://github.com/theforeman/foreman/pull/7975)
